Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SortObject

    java.lang.Object
      oracle.ifs.beans.LibraryObject
          oracle.ifs.beans.TieLibraryObject
              oracle.ifs.beans.PublicObject
                  oracle.ifs.beans.TiePublicObject
                      oracle.ifs.beans.ApplicationObject
                          oracle.ifs.beans.TieApplicationObject
                              oracle.ifs.beans.SortObject

All Implemented Interfaces:
  IfsEventHandler, LibraryObjectInterface, PublicObjectInterface, Traceable

Direct Known Subclasses:
  TieSortObject

    public class SortObject

extends TieApplicationObject

A SortObject represents restrictions applied to a PublicObject.

(Unpublished)

Field Summary
`static java.lang.String` | `CLASS_NAME` The name of the ClassObject representing this class.
`static java.lang.String` | `ISSQLBASED_ATTRIBUTE` Name of the IsSqlBased Attribute
`static java.lang.String` | `PRIMARYASCENDING_ATTRIBUTE` Name of the PRIMARYASCENDING Attribute
`static java.lang.String` | `PRIMARYATTRIBUTENAME_ATTRIBUTE` Name of the PrimaryAttributeName Attribute
`static java.lang.String` | `SECONDARYASCENDING_ATTRIBUTE` Name of the SecondaryAscending Attribute
`static java.lang.String` | `SECONDARYATTRIBUTENAME_ATTRIBUTE` Name of the SecondaryAttributeName Attribute
`static java.lang.String` | `UNIQUENAME_ATTRIBUTE` Name of the UniqueName Attribute

Fields inherited from class oracle.ifs.beans.PublicObject
`ACL_ATTRIBUTE, CREATEDATE_ATTRIBUTE, CREATOR_ATTRIBUTE, DELETOR_ATTRIBUTE, DESCRIPTION_ATTRIBUTE, EXPIRATIONDATE_ATTRIBUTE, FAMILY_ATTRIBUTE, FLAG_CATEGORY_EXISTS, FLAG_CONFIGURATIONCATEGORY_EXISTS, FLAG_MARKED, FLAG_NOINFERIOR, FLAG_NOSELECT, FLAG_NTFS_ARCHIVE, FLAG_NTFS_HIDDEN, FLAG_NTFS_READONLY, FLAG_NTFS_SYSTEM, FLAG_UNMARKED, FLAGS_ATTRIBUTE, LASTMODIFIER_ATTRIBUTE, LASTMODIFYDATE_ATTRIBUTE, LOCKENTRIES_ATTRIBUTE, LOCKOBJECT_ATTRIBUTE, NAME_ATTRIBUTE, OWNER_ATTRIBUTE, POLICYBUNDLE_ATTRIBUTE, POLICYLISTS_ATTRIBUTE, PRIMARYPARENTFOLDER_ATTRIBUTE, PROPERTYBUNDLE_ATTRIBUTE, RESOLVEDPUBLICOBJECT_ATTRIBUTE, SECURINGPUBLICOBJECT_ATTRIBUTE`

Fields inherited from class oracle.ifs.beans.LibraryObject
`DOMAIN_UNIQUENAME_DEFAULT_DELIMITER, m_ClassId, m_Id, m_Session`

Constructor Summary
`protected` | `SortObject(LibrarySession session, java.lang.Long id, java.lang.Long classId, S_LibraryObjectData data)` Construct a SortObject object.

Method Summary
`protected static java.lang.String` | `generateUniqueNameFromDefinition(LibrarySession session, LibraryObjectDefinition lodef)` Generate the unique name of the sort object using the attributes in the supplied library object definition.
`static SortObject` | `getSortObject(LibrarySession session, SortObjectDefinition def)` Given the list of parameters, it returns a sort object from the collection.
`protected void` | `preCreate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the creation of a SortObject.
`protected void` | `preFree(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the free of a SortObject.
`protected void` | `preUpdate(LibraryObjectDefinition lodef)` Extensibility point to perform actions prior to the updation of a SortObject.

Methods inherited from class oracle.ifs.beans.ApplicationObject
`constructApplicationObject, constructApplicationObjectVector`

Methods inherited from class oracle.ifs.beans.PublicObject
`addAccess, addCategory, addFlags, addRelationship, auditPublicObjectLocked, auditPublicObjectUnlocked, canAcquireManualLock, canReleaseDavLock, canReleaseLock, canReleaseManualLock, capabilities, checkAuditViewCapability, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, checkLockAccess, checkVersioned, clearFlags, constructPublicObject, constructPublicObjectArray, constructPublicObjectVector, copy, coreAutoFolderingEnabled, createCategories, createDedicatedPolicyPropertyBundle, delete, deriveEffectiveAccessLevel, free, getAcl, getAllFolderPaths, getAllFolderPaths, getAllFolderPaths, getAnyFolderPath, getAnyFolderPath, getAnyFolderPath, getCapabilities, getCategories, getCategories, getCategories, getCategories, getCategories, getCategory, getConsumedStorage, getCreateDate, getCreator, getDefaultAccessLevel, getDeletor, getDescription, getEffectiveAccessLevel, getEffectiveAccessLevel, getExpirationDate, getFamily, getFirstVersion, getFlags, getFolderReferences, getFolderReferences, getFolderReferencesSortSpecification, getLastModifier, getLastModifyDate, getLastVersion, getLeftwardRelationshipObjects, getLeftwardRelationshipObjects, getLeftwardRelationships, getLeftwardRelationships, getLeftwardRelationshipsCount, getLeftwardRelationshipsCount, getLinks, getLockEntries, getLockEntries, getLockObject, getLockRestrictions, getLockTypeAuditProperties, getNextVersion, getOwner, getPolicyBundle, getPolicyLists, getPreviousVersion, getPrimaryFolderPath, getPrimaryParentFolder, getPrimaryParentFolder, getReservationComment, getReservationDate, getReservor, getResolvedPublicObject, getRestrictingLockEntries, getRightwardRelationshipObjects, getRightwardRelationshipObjects, getRightwardRelationships, getRightwardRelationships, getSecuringPublicObject, getSingletonVersionDescription, getVersionNumber, getVersions, getVersionSeries, getWorkingCopy, grantAccess, handleCopy, handleCreate, handleUnlockAll, hasCategories, hasConfigurationCategories, hasNameAttribute, isDeleted, isLatestVersion, isLocked, isLockingSupported, isOwner, isReserved, isReservedByCurrentUser, isVersionable, isVersioned, isWorkingCopy, listLeftwardRelationships, listRightwardRelationships, lock, lock, lock, lock, newVersion, postCopy, postCreate, postUpdate, preCopy, putPolicy, reassociateLinks, removeAllPolicies, removePolicy, removePolicy, removeRelationship, reserveNext, resetFolderReferences, resolveFolderReferenceSortSpecification, revokeAccess, revokeAllAccess, setAcl, setDescription, setExpirationDate, setFlags, setFolderReferencesSortSpecification, setLockEntries, setLockEntrySecurity, setOwner, setOwnerByName, setPolicyBundle, setPolicyLists, setSecuringPublicObject, toPublicObjectArray, undelete, unlock, unlock, unlockAll, unReserve, updateFlags, updateLock, vectorPublicObjectElement, vectorToPublicObjectArray, verifyDeleteCapability, verifyLockCapability, verifyUnlockCapability, verifyVersionSeries`

Methods inherited from class oracle.ifs.beans.LibraryObject
`applyProperties, auditCreated, auditUpdated, checkRequiredAttributeSet, clearCopyContext, clearFreeContext, clearUpdateContext, constructIdArray, constructIdArray, constructLibraryObject, constructLibraryObjectVector, createDedicatedPropertyBundle, deriveDomainUniqueName, dispose, equals, free, get, getAttribute, getAttributeByUpperCaseName, getAttributes, getAttributesByUpperCaseNames, getAuditDomainContext, getAuditEventFolderContext, getClassId, getClassname, getClassName, getClassObject, getCommonName, getCopyContext, getCreateContext, getData, getDefinition, getEffectivePolicyListElements, getEventualAttributeByUpperCaseName, getFreeContext, getId, getLabel, getName, getObjectReferenceAttribute, getOperationActionSpecificationContext, getPropertyBundle, getPropertyValue, getPublicObjectAttribute, getResourceString, getResourceString, getSchemaObjectAttribute, getSession, getSessionInterface, getSharedStateFactory, getStringIdentifier, getSystemObjectAttribute, getTraceLogger, getUpdateContext, handleAdminModeChange, handleEvent, handleFree, handleUpdate, hashCode, invokeOperation, invokeOperation, invokeServerMethod, isConnected, isCoreEventPostingEnabled, isInstanceOf, isTraced, isValidEventType, lockRows, lookupInstanceLabel, postEvent, postEvent, postFree, prePostAuditEvent, putProperty, putProperty, removeAllProperties, removeProperty, renderAsRandomAccessContent, renderAsReader, renderAsStream, setAttribute, setAttribute, setAttributes, setAttributes, setCopyContext, setFreeContext, setId, setName, setPropertyBundle, setPropertyValue, setUpdateContext, toString, trace, trustHandleCreate, trustHandleCreateAsAdmin, trustHandleFree, trustHandleFreeAsAdmin, trustHandleUpdate, trustHandleUpdateAsAdmin, update, updateAndExposeDefinition, validatePropertyValues, vectorLibraryObjectElement, vectorToLibraryObjectArray, verifyAdministrationMode, verifyConnected, verifySystemUserAccess, verifyTargetObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.LibraryObjectInterface
`getAttributeByUpperCaseName, getClassId, getId, getSessionInterface`

Methods inherited from interface oracle.ifs.common.Traceable
`getTraceLogger, isTraced, trace`

Field Detail

### CLASS_NAME

    public static final java.lang.String CLASS_NAME

  Description copied from class: `SortObject`
  The name of the ClassObject representing this class.

  See Also:
    Constant Field Values
  (Published)

### PRIMARYATTRIBUTENAME_ATTRIBUTE

    public static final java.lang.String PRIMARYATTRIBUTENAME_ATTRIBUTE

  Description copied from class: `SortObject`
  Name of the PrimaryAttributeName Attribute

  See Also:
    Constant Field Values
  (Published)

### PRIMARYASCENDING_ATTRIBUTE

    public static final java.lang.String PRIMARYASCENDING_ATTRIBUTE

  Description copied from class: `SortObject`
  Name of the PRIMARYASCENDING Attribute

  See Also:
    Constant Field Values
  (Published)

### SECONDARYATTRIBUTENAME_ATTRIBUTE

    public static final java.lang.String SECONDARYATTRIBUTENAME_ATTRIBUTE

  Description copied from class: `SortObject`
  Name of the SecondaryAttributeName Attribute

  See Also:
    Constant Field Values
  (Published)

### SECONDARYASCENDING_ATTRIBUTE

    public static final java.lang.String SECONDARYASCENDING_ATTRIBUTE

  Description copied from class: `SortObject`
  Name of the SecondaryAscending Attribute

  See Also:
    Constant Field Values
  (Published)

### ISSQLBASED_ATTRIBUTE

    public static final java.lang.String ISSQLBASED_ATTRIBUTE

  Description copied from class: `SortObject`
  Name of the IsSqlBased Attribute

  See Also:
    Constant Field Values
  (Published)

### UNIQUENAME_ATTRIBUTE

    public static final java.lang.String UNIQUENAME_ATTRIBUTE

  Description copied from class: `SortObject`
  Name of the UniqueName Attribute

  See Also:
    Constant Field Values
  (Published)

Constructor Detail

### SortObject

    protected SortObject(LibrarySession session,
                         java.lang.Long id,
                         java.lang.Long classId,
                         S_LibraryObjectData data)
                  throws IfsException

  Construct a SortObject object.

  Parameters:
    `session` - current LibrarySession
    `id` - object id
    `classId` - class id
    `data` - data component
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### preCreate

    protected void preCreate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `SortObject`
  Extensibility point to perform actions prior to the creation of a SortObject.

  Setup the unique name option correctly.

  Overrides:
    `preCreate` in class `PublicObject`
  Parameters:
    `lodef` - object definition that will be used to create the object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### preUpdate

    protected void preUpdate(LibraryObjectDefinition lodef)
                      throws IfsException

  Description copied from class: `SortObject`
  Extensibility point to perform actions prior to the updation of a SortObject.

  Prevent updates by throwing exception.

  Overrides:
    `preUpdate` in class `PublicObject`
  Parameters:
    `lodef` - object definition that will be used to create the object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### preFree

    protected void preFree(LibraryObjectDefinition lodef)
                    throws IfsException

  Description copied from class: `SortObject`
  Extensibility point to perform actions prior to the free of a SortObject.

  Remove it from the "collection".

  Overrides:
    `preFree` in class `PublicObject`
  Parameters:
    `lodef` - object definition that will be used to create the object
  Throws:
    `IfsException` - if operation fails.
  (Unpublished)

### generateUniqueNameFromDefinition

    protected static java.lang.String generateUniqueNameFromDefinition(LibrarySession session,
                                                                       LibraryObjectDefinition lodef)
                                                                throws IfsException

  Description copied from class: `SortObject`
  Generate the unique name of the sort object using the attributes in the supplied library object definition.

  Parameters:
    `lodef` - LibraryObjectDefinition
  Returns:
    Unique name
  Throws:
    `IfsException` - if the operation fails

### getSortObject

    public static SortObject getSortObject(LibrarySession session,
                                           SortObjectDefinition def)
                                    throws IfsException

  Description copied from class: `SortObject`
  Given the list of parameters, it returns a sort object from the collection. If there does not exist a matching sort object, then it creates one.

  Parameters:
    `session` - handle to the session
    `def` - definition for the sort object
  Returns:
    SortObject - either prexisting or newly created.
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD